%define gnomever    3.4
%define gnomemajver %(echo %gnomever | cut -d. -f 1-2)
%define majver      %(echo %version | cut -d. -f 1-2)
%define gnomegroup  desktop
%define pkgname     gnome-menus

Name:          gnome-menus
Version:       3.10.1
Release:       1mamba
Summary:       GNOME menu library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
# bugfixes: http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}
Source:        http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{majver}/%{pkgname}-%{version}.tar.xz
License:       GPL, LGPL
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: libfam-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpython-devel
BuildRequires: python
## AUTOBUILDREQ-END
%{py_requires}
Obsoletes:     libgnome-menus
Provides:      libgnome-menus = %{?epoch:%epoch:}%{version}-%{release}
Requires:      xdg-utils >= 1.0.2-4mamba
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The package contains an implementation of the draft "Desktop Menu Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the GNOME menu layout configuration files, .directory files and assorted menu related utility programs.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Obsoletes:     libgnome-menus-devel
Provides:      libgnome-menus-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package implements the freedesktop.org desktop menu specification for the GNOME desktop. Also contained in this package, are the menu layout configuration files, .directory and assorted menu utility programs.

This package contains static libraries and header files need for development.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
%find_lang %{name}-3.0

rm -f %{buildroot}%{_libdir}/%{python_sitearch}/*.la
rm -f %{buildroot}%{_libdir}/%{python_sitearch}/*.a

#mv %{buildroot}%{_sysconfdir}/xdg/menus/applications.menu %{buildroot}%{_sysconfdir}/xdg/menus/gnome-applications.menu

#rm -f %{buildroot}%{_datadir}/desktop-directories/Desktop.directory
#rm -f %{buildroot}%{_bindir}/gnome-menu-spec-test

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}-3.0.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/menus/gnome-applications.menu
#%{_bindir}/gmenu-simple-editor
%{_libdir}/libgnome-menu-3.so.*
%{_libdir}/girepository-1.0/GMenu-*.typelib
#%dir %{python_sitearch}/GMenuSimpleEditor
#%{python_sitearch}/GMenuSimpleEditor/*
#%{_datadir}/applications/
%{_datadir}/desktop-directories/
#%{_datadir}/gnome-menus/glade/
#%{_datadir}/gnome-menus/examples/gnome-menus-ls.py
#%{_datadir}/gnome-menus/ui/gmenu-simple-editor.ui
%doc AUTHORS COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%{_libdir}/libgnome-menu-3.a
%{_libdir}/libgnome-menu-3.la
%{_libdir}/libgnome-menu-3.so
%{_datadir}/gir-1.0/GMenu-*.gir
%dir %{_includedir}/gnome-menus-3.0
%{_includedir}/gnome-menus-3.0/*
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%changelog
* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Wed Nov 14 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-3mamba
- move typelib files from -devel to main package

* Sun Aug 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.2-2mamba
- restore applications.menu and rename it to gnome-applications.menu; require xdg-utils >= 1.0.2-4menu

* Mon May 14 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Tue Oct 25 2011 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Mon Oct 10 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0.1-1mamba
- automatic version update by autodist

* Thu Sep 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-2mamba
- gnome-menus-devel: replace wrong obsolete for libgnome-menus with libgnome-menus-devel

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update by autodist

* Wed Nov 17 2010 Automatic Build System <autodist@mambasoft.it> 2.30.5-1mamba
- automatic update to 2.30.5 by autodist

* Mon Sep 27 2010 Automatic Build System <autodist@mambasoft.it> 2.30.4-1mamba
- automatic update to 2.30.4 by autodist

* Tue Sep 14 2010 Automatic Build System <autodist@mambasoft.it> 2.30.3-1mamba
- automatic update to 2.30.3 by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- update to 2.30.2

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic update to 2.30.0 by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Tue May 20 2008 gil <puntogil@libero.it> 2.23.1-1mamba
- update to version 2.23.1

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.18.0-1mamba
- update to version 2.18.0

* Fri Jan 12 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.16.1-1qilnx
- update to version 2.16.1 by autospec

* Sun Sep 17 2006 Tiziano Pratellesi <info@mycare.it> 2.16.0-1qilnx
- package created by autospec
